Промежуточный релиз Kubuntu 12.04.2 LTS

Изображение пользователя dm.

Представлен промежуточный релиз Linux-дистрибутива Ubuntu 12.04.2 LTS, в рамках которого подготовлены обновленные установочные образы. В сборку Ubuntu 12.04.2 вошли обновления с реализацией поддержки нового оборудования, новый графический стек, новая версия ядра Linux, исправления ошибок в инсталляторе, загрузчике, а также актуальные обновления для нескольких сотен пакетов, связанные с устранением уязвимостей и проблем, влияющих на стабильность. Одновременно представлены аналогичные обновления Kubuntu 12.04.2, Edubuntu 12.04.2, Xubuntu 12.04.2, Mythbuntu 12.04.2 и Ubuntu Studio 12.04.2.

Использовать представленную сборку имеет смысл только для новых установок, системы установленные ранее могут получить все присутствующие в Ubuntu 12.04.2 изменения через штатную систему установки обновлений. Поддержка выпуска обновлений и исправлений проблем безопасности для серверной и десктоп редакций Ubuntu 12.04 LTS продлится до апреля 2017 года. Пользователям Ubuntu 10.04 следует в ближайшее время спланировать обновление до ветки 12.04, так как, поддержка десктоп редакции Ubuntu 10.04 LTS завершится в апреле 2013 года (серверный вариант 10.04 будет поддерживаться до апреля 2015 года).

Выпуск Ubuntu 12.04.2 примечателен двумя важными особенностями, впервые в истории проекта реализованными в рамках промежуточных LTS-выпусков:

  • Обновлённый графический стек, включающий новые версии компонентов X.Org-сервер 1.13, Compiz, Mesa 9.0 и видеодрайверов для чипов Intel, AMD и NVIDIA. Обновлённые компоненты графического стека соответствуют версиям из состава Ubuntu 12.10 и достаточно хорошо протестированы;
  • В состав дистрибутива включено новое ядро Linux 3.5, протестированное в рамках выпуска Ubuntu 12.10. Поддержка и поставка пакетов с первоначально поставляемым ядром 3.2 сохранена в полном объёме, тем не менее для новых установок ядро 3.5 теперь предлагается по умолчанию. Использование новой версии ядра ознаменовало не только значительное расширение поддержки оборудования, но и появление существенных новшеств, таких как:
    • поддержка контрольных сумм для обеспечения целостности метаданных в Ext4;
    • система профилирования приложений на пользовательском уровне;
    • механизм создания sandbox-окружений с изоляцией системных вызовов;
    • реализация новых алгоритмов управления очередями пакетов для борьбы с задержками в результате излишней буферизации;
    • возможность сохранения состояния сетевых соединений между перезагрузками;
    • поддержка RFC 5827 (TCP Early Retransmit);
    • реализация активного спящего режима, подобного используемому в платформе Android;
    • возможность проброса SCSI поверх Firewire и USB;
    • поддержка x32 ABI (64-разрядный режим с 32-разрядными указателями);
    • модуль Yama для блокирования некоторых типов атак;
    • механизм dm-verity для проверки целостности хранимых блоков данных по криптографическим хэшам;
    • улучшения в реализации Btrfs (улучшенная реализацию RAID, повышение производительности работы с метаданными, улучшение обработки ошибок и добавление средств для восстановления файлов с повреждённой ФС);
    • возможность использования отдельного хранилища в качестве доступной только для чтения основы для нескольких LVM-разделов;
    • интеграция изменений, подготовленных в процессе разработки платформы Android;
    • интеграция кода виртуального коммутатора Open vSwitch;
    • альтернативная система агрегации сетевых интерфейсов;
    • новые средства для управления сетевыми приоритетами и возможность ограничения TCP-буфера в привязке к cgroup.

Среди других улучшений выделяется поддержка загрузки на системах с активным режимом UEFI Secure Boot c использованием штатного загрузчика, подписанного ключом Microsoft. Интегрирована значительная порция исправлений для оболочки Unity. Обновлены версии нескольких десятков приложений, среди которых компоненты окружения KDE, сhromium, firefox, gwenview и okular.

Новость взята с Opennet.ru

0
beginer - 16 Февраль, 2013 - 07:33
Изображение пользователя beginer.

А как обстоят дела с закрытым драйвером AMD для карт 4000 серии. На официальном сайте драйвер легаси версии 13.1 с поддержкой ядра до версии 3.4. Т.е. все - для ядер версий выше 3.4 только открытые драйвера?

0
a4_necromant - 17 Февраль, 2013 - 22:21
Изображение пользователя a4_necromant.

ну я знаю вот такой способ, который работает даже на 12,10, по сути там ядро тоже 3,5
https://launchpad.net/~makson96/+archive/fglrx
правда там реп под квантал сделан, но если напрямую добавить ppa в сорслист, до должно подхватить и установить...

0
Лерыч - 19 Февраль, 2013 - 03:03
Изображение пользователя Лерыч.

Там проблема не только в поддержке ядра. Насколько я знаю, последние каталисты, поддерживающие карты до серии HD 4XXX включительно, не поддерживают X.Org Server версии 1.13 и выше (http://mintdewdrop.blogspot.ru/2013/01/kubuntu-1210-vs-ati-radeon-hd2400.html), который уже идет в Ubuntu 12.04.2. Вот с этим могут быть проблемы...
Короче, владельцам этих карточек ATI лучше либо не обновляться, либо готовится к танцам с бубнам, ятакщитаю. Ну или, как вариант, закопать где-нибудь в огороде эту ATI и поставить хотя бы простенькую nVidia... :)

0
a4_necromant - 19 Февраль, 2013 - 19:00
Изображение пользователя a4_necromant.

нет, тот рипризиторий, что я дал понижает версию xserver

0
Лерыч - 19 Февраль, 2013 - 20:44
Изображение пользователя Лерыч.

Я в курсе, мать писала. :) Только репозиторий этот для Quantal, а вовсе не для Precise, и кто его знает, где оно потом вылезти может... Вы лично уверены, что оно при следующем же обновлении не взбрыкнет Вам поломанными зависимостями?

0
a4_necromant - 22 Февраль, 2013 - 19:12
Изображение пользователя a4_necromant.

ну вообщето перед крупными обновлениями проприетарный драйвер ATI лучше на время отключать. Знаю по собственному опыту. Хотя я уже на открытый перешел, т.к. проприетарный меня неустраивает нерабочим стимом, но у меня железо новое только, по этому не знаю как дела обстоят с lagancy карточками на свободных драйверах.....

+2
Nemton - 20 Февраль, 2013 - 13:04
Изображение пользователя Nemton.

я отказался от ATI после перехода на linux, теперь проблем нет, а раньше тоже хапнул горя с fglrx

+1
MiraMaX166 - 20 Февраль, 2013 - 18:58
Изображение пользователя MiraMaX166.

Точно не понял. Версия 12.04.2 LTS, но иксы 1.12, ядро 3.2.0-38 как обновиться до новых иксов? Ядро можно и через репозиторий апнуть (правда, acpitool перестал нормально считывать инфу с АКБ, поэтому подумал, что это некорректный способ апдейта ядра).

0
XaHyMaH - 21 Февраль, 2013 - 01:44
Изображение пользователя XaHyMaH.

Что-то в штатной системе установки обновлений пусто. Как обновить-то?

+2
DarkneSS - 21 Февраль, 2013 - 07:51
Изображение пользователя DarkneSS.

При регулярных обновлениях вы получили 12.04.2 не позже дня релиза.

+2
rod - 21 Февраль, 2013 - 09:13

Если ставить с нуля 12.04.2 - то ядро 3.5...
а если обновлять УЖЕ ранее установленную 12.94 - будет 12.04.2 с ядром 3.2....
вот такой вот ЛТС по канониковскли :)
Хотите ядро и графсервер - отдельные деб-пакеты есть - их ставьте..

0
XaHyMaH - 21 Февраль, 2013 - 10:21
Изображение пользователя XaHyMaH.

Ясно, спасибо.

+2
dyug - 21 Февраль, 2013 - 11:17

Но при этом ядро 3.5 есть в родном репе, и его легко можно поставить, что мной и было сделано, как только оно появилось в новых пакетах. :-)
Да, я пользуюсь синаптиком по умолчанию, ибо считаю, что контроль процесса обновления в терминале для меня более существенен, чем битие головой об стенку, при невозможности увидеть что произошло, но отсутствием гтк-приложений в системе.

после того, как муон включили в основной реп, он стал продуктом отвратительным, и отсутствие реализации вывода терминала - меня раздражает.

0
MiraMaX166 - 22 Февраль, 2013 - 14:28
Изображение пользователя MiraMaX166.

Ставить пакеты? А обновления вручную тоже пакетами качать? Не, тут надо репозиторий подключать, где-то натыкался на репу с иксами и ядрами... Надо будет погуглить.

0
DarkneSS - 22 Февраль, 2013 - 16:55
Изображение пользователя DarkneSS.

Ппа-то хватает.

0
Лерыч - 23 Февраль, 2013 - 00:19
Изображение пользователя Лерыч.

Ставить пакеты? А обновления вручную тоже пакетами качать? Не, тут надо репозиторий подключать
Ну дык ежели
ядро 3.5 есть в родном репе, и его легко можно поставить
то и обновления будут приходить оттуда же автоматом, не?..

0
novocat - 23 Февраль, 2013 - 15:22
Изображение пользователя novocat.

Не встает 3.5 с нуля.
С нуля встает 3.2.0-37-generic #58-Ubuntu
X.Org X Server 1.11.3
Ставил и DVD и CD версии.

0
XaHyMaH - 23 Февраль, 2013 - 21:09
Изображение пользователя XaHyMaH.

Подтверждаю. Встало 3.2.0-37-generic-pae
Как тогда обновить до 3.5?

0
Лерыч - 23 Февраль, 2013 - 22:51
Изображение пользователя Лерыч.

Как тогда обновить до 3.5?
sudo aptitude install linux-{image,headers}-3.5.0-{25,25-generic}
не спасет отца русской демократии? Ну или через Менеджер Пакетов найти и установить...

P.S. Если нужно именно pae, то ставьте pae...

0
XaHyMaH - 24 Февраль, 2013 - 19:56
Изображение пользователя XaHyMaH.

Спасёт. А вот так чтобы оно при обновлении само сказало "Ой, у нас есть новое ядро! Как раз для вас!"

0
Гость - 24 Февраль, 2013 - 20:28

Чтобы само сказало установить надо:
linux-generic-lts-quantal
linux-headers-generic-lts-quantal
linux-image-generic-lts-quantal

0
dyug - 24 Февраль, 2013 - 20:39

Агы. а что такое за пакет такой странный то?
linux-image-generic-lts-quantal у которого в зависимостях
apt-get install linux-image-generic-lts-quantal
Чтение списков пакетов… Готово
Построение дерева зависимостей      
Чтение информации о состоянии… Готово
Будут установлены следующие дополнительные пакеты:
  linux-image-3.5.0-25-generic
Предлагаемые пакеты:
  fdutils linux-lts-quantal-doc-3.5.0 linux-lts-quantal-source-3.5.0 linux-lts-quantal-tools
НОВЫЕ пакеты, которые будут установлены:
  linux-image-3.5.0-25-generic linux-image-generic-lts-quantal

Не знает автор комментария? :-)

Ах да, это в пятницу поставленная машинко для роутера, разумеется убунту сервер. :-)

0
XaHyMaH - 24 Февраль, 2013 - 21:03
Изображение пользователя XaHyMaH.

Кстати, 3.5.0-25-generic-pae и нету-то. 3.5.0-25-generic есть. Или с 3.5.0 уже нет разделения на обычное ядро и pae?

Кстати, вот тут: http://en.wikipedia.org/wiki/Linux_kernel - ядро 3.5 помечено как устаревшее и поддерживаемое только неофициально. Поддерживаемые только 3.2, 3.4, 3.7
Интересное кино.

0
DarkneSS - 24 Февраль, 2013 - 21:19
Изображение пользователя DarkneSS.

3.7 и 3.8 — официально. 3.2 и 3.4 — консорциумом компаний, заинтересованных в линуксах.

0
XaHyMaH - 25 Февраль, 2013 - 22:20
Изображение пользователя XaHyMaH.

Ну вот. И зачем в 12.04.02 LTS неподдерживаемое ядро 3.5? Шоб було?
Вощем, я не стал страдать муками выбора и поставил сразу Альфу кольцехвоста с 3.8 ;)

0
DarkneSS - 25 Февраль, 2013 - 23:16
Изображение пользователя DarkneSS.

Каноникал решил, что справится.

0
Platon - 26 Февраль, 2013 - 12:20
Изображение пользователя Platon.

Я бы не торопился ставить 3.5, в нем опасную уязвимость обнаружили в версиях 3.3-3.8 и, увы, не залатали пока.
А новые X-ы из пакета xserver-xorg-lts-quantal конфликтуют с KDE-workspace - при установки они автоматом удалили workspace, Kwin и synaptics(драйвер тачпада), пришлось руками возвращать все на место.

0
Гость - 26 Февраль, 2013 - 13:00

xserver-xorg-lts-quantal конфликтуют с KDE-workspace - при установки они автоматом удалили workspace, Kwin и synaptics(драйвер тачпада)

Ну так установить необходимое касательно lts-quantal (xserver-xorg-input-* xserver-xorg-video-* то бишь) и квин с воркспейсом обратно воткнуть. Что тут непонятного?..

0
Platon - 26 Февраль, 2013 - 21:50
Изображение пользователя Platon.

установка обратно KDE-display-manager автоматом удаляет все что связано с xserver-xorg-lts-quantal, поскольку зависимости у них КОНФЛИКТУЮТ

0
Гость - 26 Февраль, 2013 - 22:12

Что-то у меня ничего не конфликтует. КДМ даже и не удалялся.
Может систему в порядке содержать надобно, а?

0
Platon - 4 Март, 2013 - 07:55
Изображение пользователя Platon.

Если карточка ATI, то конфликт обеспечен
KDE 4.10 vs xserver-xorg-lts-quantal (Xorg 1.13)

Проверял на 2-х ноутбуках:
1) ATI X1250 OS KU 12.04.2 i386-pae
2) Intel HD OS KU 12.04.2 amd64
Установка ядра lts-quantal проходит без ущерба для системы, но установка xserver-xorg-lts-quantal стабильно приводит к выпадению в вирт.консоль при этом sudo startx выдает xserver-error exec: 3: /usr/bin/X: not found
Лечится только откатом к предыдущей версии Xorg:
sudo apt-get install xserver-xorg
sudo apt-get install kubuntu-desktop
sudo reboot

Пока единственное к чему пришел зафиксировал версию xserver-xorg в muon

Установка KU 12.04.2 с нуля и последующая установка sudo apt-get install linux-generic-lts-quantal xserver-xorg-lts-quantal
для x64 sudo apt-get install libgl1-mesa-glx-lts-quantal:i386 xserver-xorg-lts-quantal
проходит гладко, следовательно, имеется несовместимость Xorg-lts-quantal и KDE 4.10

0
Гость - 6 Март, 2013 - 10:00

УМВР с 4.10

+1
dyug - 26 Февраль, 2013 - 13:18

Статье про "уязвимость" из серии быть тупым идиотом не зазорно.
ибо речь идет о локальной уязвимости, и для использования этой уязвимости нужно быть залогиненым на уязвимой машине.

обсуждение под этой статийой тоже доставляет удовольствие... :-)

0
Platon - 26 Февраль, 2013 - 13:25
Изображение пользователя Platon.

с комментариев к статье:
И даже для домашнего юзера угроза более чем актуальна, ведь эту уязвимость никто не запрещает комбинировать с эксплуатацией других уязвимостей.
Хотя не могу не согласиться "какой профит вскрывать домашнего пользователя?"

+1
dyug - 26 Февраль, 2013 - 13:35

ага, осталось только попутно указать, какие еще уязвимости реально существуют незакрытые...
Но, разумеется, указать пока их не удается, но поговорить то нужно...
Теоретики взлома... :-)
С практикой, как обычно проблемы.

0
Лерыч - 27 Февраль, 2013 - 04:32
Изображение пользователя Лерыч.

Вот тут один чувак даже спецом запустить пытался, однако, не срослось...

+1
dyug - 27 Февраль, 2013 - 11:20

ну это нормально, я тоже как то наблюдал, как мне пытаются подсадить бота на машинку в реал тайме по логам. :-)
ржаль. особенно послек того, как я поставил себе ттуснап и смотрел что и как оно вводит и как у него все падает. :-)
Да, разумеется в чрут окружении. :-)

0
Master_Yoda - 27 Февраль, 2013 - 15:21

А каковы были причины, побудившие к установке ttyutils? Т.е. откуда возникло подозрение на попытку подсадить бота?

0
dyug - 27 Февраль, 2013 - 15:51

еще раз цитирую себя, любимого :-)
как мне пытаются подсадить бота на машинку в реал тайме по логам.
а началось все с сообщения фаил2бан :-)

0
Master_Yoda - 27 Февраль, 2013 - 17:54

а началось все с сообщения фаил2бан :-)
Этот причиндал установлен давно, привычка осталась после юзанья VPS. Можно спать спокойно :)

0
MiraMaX166 - 23 Февраль, 2013 - 10:21
Изображение пользователя MiraMaX166.

Обновления для ядер - да, для иксов - нет...
А мне не столько ядро надо, сколько иксы, но новым иксам, нужно 3.5 ядро минимум. Ставишь ядро и радуешься, а иксы новые уже не подтянешь... Вот те и апдейт по-каноникловски)))

0
Гость - 23 Февраль, 2013 - 11:58

есть вообще-то...
~$ apt-cache search xserver-xorg-lts-quantal
xserver-xorg-lts-quantal - X.Org X server
~$ apt-cache search xserver-xorg-core-lts-quantal
xserver-xorg-core-lts-quantal - Xorg X server - core server
xserver-xorg-core-lts-quantal-dbg - Xorg - the X.Org X server (debugging symbols)

+2
balamutick - 30 Март, 2013 - 14:29
Изображение пользователя balamutick.

12.04.2 LTS чуть меня до кондратия не довела.

Я короче решил поставить принтер на неё, начал капаться в настройках принтера, ничего не делал и не понял так с ходу.

Решил вставить USB пока и я ещё руку не убрал с usb, как оно сказало, что принтер "Samsung scx-4623f - Установлен !"

+2
novocat - 30 Март, 2013 - 15:14
Изображение пользователя novocat.

Она точно так же и с Brother HL-2030R поступила. Даже не спросила ничего! А как же "Да/Нет/Уверены?".
Что за самоуправство! Ведь я и не понял даже, что она его уже того - установила. Возмущен! :)

+2
Ветер - 17 Апрель, 2013 - 16:49

А кто клеймит виндовс за множество ненужных вопросов типа: Установить? Вы уерены? Вы точно уверены? Вы хотите установить всё, или только кусок? Точно всё/ кусок? И так далее... Принтер подключил, значит хочешь установить. Не хочешь устонавливать - не подключай! Всё логично.

0
Гость - 13 Май, 2013 - 10:30

Сегодня решил посмотреть на ядро 3.5 а обнаружил ядро 3.8. Что-то убунтуразрабы странное делают, не поддающееся логике.

Отправить комментарий

CAPTCHA на основе изображений
Введите цифры